> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Extend E-Way Bill Validity

> With this API, businesses can extend validity of the E-Way Bill. You can extend an E-Way Bill up to eight hours before or after it expires. The validity extension will be based on the remaining distance to be traveled.

#### Request body schema

<Card title="View request body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/e-way-bill/extend_validity.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/transporter/bill/{ewb_no}/extend
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/e-way-bill/transporter/bill/{ewb_no}/extend:
    post:
      tags:
        - E-Way Bill1
        - Transporter
      summary: Extend E-Way Bill Validity
      operationId: extendEWayBillValidity1
      parameters:
        - name: ewb_no
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: authorization
          in: header
          description: >-
            E-Way Bill access token. For token-generation steps, refer to the
            [Generate E-Way Bill
            Session](/recipes/gst/authentication/generate_e_way_bill_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties: {}
            examples:
              200 Success:
                value:
                  ewbNo: 291210077217
                  vehicleNo: PQR1234
                  fromPlace: Bengaluru
                  fromState: 29
                  remainingDistance: 50
                  transDocNo: '1234'
                  transMode: '5'
                  extnRsnCode: 1
                  extnRemarks: Flood
                  fromPincode: 560090
                  consignmentStatus: T
                  transitType: R
                  addressLine1: Bengaluru
                  addressLine2: Bengaluru
                  addressLine3: Bengaluru
                summary: 200 Success
              382 Validity can be only extended in last 8 hours:
                value:
                  ewbNo: 261010077217
                  vehicleNo: PQR1234
                  fromPlace: Bengaluru
                  fromState: 29
                  remainingDistance: 50
                  transDocNo: '1234'
                  transMode: '5'
                  extnRsnCode: 1
                  extnRemarks: Flood
                  fromPincode: 560090
                  consignmentStatus: T
                  transitType: R
                  addressLine1: Bengaluru
                  addressLine2: Bengaluru
                  addressLine3: Bengaluru
                summary: 382 Validity can be only extended in last 8 hours
              705 Invalid transit type:
                value:
                  ewbNo: 231010079649
                  vehicleNo: PQR1234
                  fromPlace: Bengaluru
                  fromState: 29
                  remainingDistance: 50
                  transDocNo: '1234'
                  transMode: '5'
                  extnRsnCode: 1
                  extnRemarks: Flood
                  fromPincode: 560090
                  consignmentStatus: T
                  transitType: Q
                  addressLine1: Bengaluru
                  addressLine2: Bengaluru
                  addressLine3: Bengaluru
                summary: 705 Invalid transit type
      responses:
        '200':
          description: >-
            200 Success / 382 Validity can be only extended in last 8 hours /
            705 Invalid transit type
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      alert:
                        type: string
                        nullable: true
                        example: null
                      data:
                        type: object
                        properties:
                          ewayBillNo:
                            type: string
                            example: '291210077217'
                          updatedDate:
                            type: string
                            example: 26/04/2024 05:07:00 PM
                          validUpto:
                            type: string
                            example: 21/05/2024 23:59:00 PM
                      error:
                        type: object
                        properties:
                          errorCodes:
                            type: string
                            example: '382'
                      info:
                        type: string
                        example: ''
                      status:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 9c038b5a-ed68-478c-a727-591904aa91bb
              examples:
                200 Success:
                  summary: 200 Success
                  value:
                    code: 200
                    data:
                      alert: null
                      data:
                        ewayBillNo: '291210077217'
                        updatedDate: 26/04/2024 05:07:00 PM
                        validUpto: 21/05/2024 23:59:00 PM
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: 9c038b5a-ed68-478c-a727-591904aa91bb
                382 Validity can be only extended in last 8 hours:
                  summary: 382 Validity can be only extended in last 8 hours
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '382'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: f94e2eeb-ae54-439e-9410-98862d51230f
                705 Invalid transit type:
                  summary: 705 Invalid transit type
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '705, '
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 41c4664d-db30-4c78-8b77-5a55c5557609
          headers: {}
      deprecated: false
      security: []

````